$(document).ready(function(){
if($('#perioddiv input').length>0){
	$('#perioddiv input').customInput('');
}
$("#ListStatusLinkCheckbox").click(function(){
if(this.checked){
	$(".checkbox01").prop('checked',true);
	}
else{
	$(".checkbox01").prop('checked',false);
}
});

$(".checkbox01").click(function(){
	if($(".checkbox01:checked").size()==$(".checkbox01").size())
		{
			$("#ListStatusLinkCheckbox").prop('checked',true);
		}
	else
		{
			$("#ListStatusLinkCheckbox").prop('checked',false);
		}
	
	});
	
$("#businessLocationCheck_0").click(function(){
	if(this.checked){
		$(".locCheck").prop('checked',true);
		$("#hiddenLocationIDs").val(1);
	}else{
		$(".locCheck").prop('checked',false);
		$("#hiddenLocationIDs").val('');
	}
	$("#hiddenLocationIDs").change();
});
$('[title=change-status]').click(function(){ 
	var user=$(this).attr('user');
	var status=$(this).attr('rel');
	$.ajax({
		type:"POST",
		url: GLOBAL_BASE_PATH+"/user/ajaxchangestatus/",	
		 data: "userid="+user+"&status="+status,
		 success: function(msg){
			location.reload(); 
		 }
	
	});
});	
$('[title=Delete]').click(function(){
	var user=$(this).attr('user');
	jConfirm(confirmation, msg, function(r) {
   	if(r==true)
		{
		window.location=GLOBAL_BASE_PATH+"/user/destroyuser/userid/"+user;
		}
	});
	
});
checkAll();
function checkAll()
{
	if($(".locCheck").length==$(".locCheck:checked").length){
		$("#businessLocationCheck_0").prop('checked',true);
	}else{
		$("#businessLocationCheck_0").prop('checked',false);
	}
}
$('.locCheck').click(function(){
	checkAll();
	if($(".locCheck:checked").length>0)
		$("#hiddenLocationIDs").val(1);
	else
		$("#hiddenLocationIDs").val('');
	$("#hiddenLocationIDs").change();	

});

$(".update_btn_table").click(function(){
	   var ListAllCheckedCount = $(".ListAll:checked").size();
	   var cityStatus= $('#businessUserStatus').val();
		if($(".ListAll:checked").size()==0) {
				   jAlert(statusItem);
				   return false;
		} else if(cityStatus==""){
				   jAlert(statusSelect);
				   return false; 
		}
		
		if(cityStatus=='Deleted')
		{      jConfirm(confirmation, msg, function(r) {
						if(r) {
								$('#updateBusinessUser').submit();
						}
				});
		} else	{
				return true;
		}
		return false;
	
	});

	
$('#businessLocationCheck_0').click(function(){
		if($(this).prop('checked',true))
			{
			$("#hiddenLocationIDs").val(1);
			$(this).closest('div').find('input:checkbox').each(function(){
				$(this).prop('checked',true);
			});
			}
		else
			{
			$("#hiddenLocationIDs").val('');
			$(this).closest('div').find('input:checkbox').each(function(){
				$(this).prop('checked',false);
			});
			}
	});

});